![tomviz_logo]

[![DOI](https://zenodo.org/badge/doi/10.5281/zenodo.12723.svg)](http://dx.doi.org/10.5281/zenodo.12723)
The [tomviz project][tomviz] is developing a cross platform, open source
application for the processing, visualization, and analysis of 3D tomography
data. It is currently at an early stage of development, but is already capable
of displaying, visualizing, and interacting with 3D reconstructions of
tomographic data. In addition basic alignment and tomographic reconstruction are
available, with Python scripts that can be modified in the interface to
experiment with different techniques.

![Kitware, Inc.][KitwareLogo]

The tomviz project is developed principally by [Marcus D. Hanwell][Hanwell] and
[Utkarsh Ayachit][Ayachit] at [Kitware, Inc.][Kitware], and [David A.
Muller][Muller] and [Robert Hovden][Hovden] at [Cornell University][Cornell]
under DOE Office of Science contract DE-SC0011385.

Installing
----------

We recommend downloading the current [stable release](../../releases)
but also provide nightly binaries built by our [dashboards][Dashboard] for Mac OS X
and Windows.

__Windows__: Follow the installation instructions, double click on the tomviz icon to launch application. __Mac OS X__: After downloading tomviz double click to launch installation. After reading the License Agreement, drag the tomviz icon into your Applications directory – or anywhere else you would like to store the application. The first time you open tomviz, you will need to right-click on the application icon and select ‘open’. It will ask you if you are sure you wish to open it, click the ‘open’ button. This is only required the first time launching the application. It can be opened by double clicking all future times. __Linux__: Currently, the Linux application must be built from source, [instructions for building](BUILDING.md) can be found in the BUILDING.md document found in the source code archive.

A Quick Tutorial
----------
- 1.	Open a sample dataset by clicking “Sample Menu > Reconstruction ” at the top menubar.
- 2.	Create a 3D volumetric visualization by clicking “Visualization > Volume” at the top menubar.
- 3.	Interact with your volume in the center panel titled “RenderView”.


Publications using tomviz
------------
[Graphene kirigami, M.K. Blees et al., Nature (2015)](http://www.nature.com/nature/journal/v524/n7564/full/nature14588.html)

Contributing
------------

Our project uses GitHub for code review, please fork the project and make a
pull request if you would like us to consider your patch for inclusion.

  [tomviz]: http://tomviz.org/ "The tomviz project"
  [tomviz_logo]: https://github.com/OpenChemistry/tomviz/blob/master/tomviz/icons/tomvizfull.png "tomviz"
  [Kitware]: http://kitware.com/ "Kitware, Inc."
  [KitwareLogo]: http://www.kitware.com/img/small_logo_over.png "Kitware"
  [Cornell]: http://www.aep.cornell.edu/
  [Hanwell]: http://www.kitware.com/company/team/hanwell.html
  [Ayachit]: http://www.kitware.com/company/team/ayachit.html
  [Muller]: http://muller.research.engineering.cornell.edu/
  [Hovden]: http://www.roberthovden.com/
  [Dashboard]: http://open.cdash.org/index.php?project=TomViz "tomviz dashboard"
